//
//  LottoMatrixView.h
//  LottoTouch
//
//  Created by Bertils mini on 2008-07-15.
//  Copyright Sork Software 2008. All rights reserved.
//

#import <UIKit/UIKit.h>

//@class LottoCell;
@class LottoData;

extern NSString *SSLottoTouchMatrixChangedNotification;


@interface LottoMatrixView : UIView {
    LottoData *data;
	NSInteger lottoSize;
	NSInteger sampleSize;
	NSInteger squares;
	NSInteger buttonSide;
	NSInteger marginWidth;
	NSInteger fontHeight;
	UIFont *lottoFont;
	NSInteger includes;
	NSInteger excludes;
	NSInteger oldState;
	NSInteger oldIndex;
	NSDictionary *buttonsDictionary;
	NSMutableArray *cellMatrix;
	UIImage *touchedImage;
	UIImage *untouchedImage;
	UIImage *lottedImage;
	UIImage *includedImage;
	UIImage *excludedImage;
}

@property (nonatomic, retain) LottoData *data;
@property (nonatomic) NSInteger lottoSize, sampleSize;
@property (nonatomic) NSInteger buttonSide, marginWidth, fontHeight;
@property (nonatomic, retain) UIFont *lottoFont;
@property (nonatomic, retain) NSDictionary *buttonsDictionary;
@property (nonatomic, retain) NSMutableArray *cellMatrix;
@property (nonatomic, retain) UIImage *touchedImage, *untouchedImage, *lottedImage;
@property (nonatomic, retain) UIImage *includedImage, *excludedImage;

- (void)updateBoard;
- (void)resetBoard;
- (BOOL)hasBeenTouched;

@end
